import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusLotPayConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-21 15:58
 */
interface BusLotPayConfigCU extends ConditionUtil<BusLotPayConfigCU> {
    LOT_ID: FieldUtil<BusLotPayConfigCU>;
    PC_CONFIG_ID: FieldUtil<BusLotPayConfigCU>;
    REMARK: FieldUtil<BusLotPayConfigCU>;
    CREATE_TIME: FieldUtil<BusLotPayConfigCU>;
    UPDATE_TIME: FieldUtil<BusLotPayConfigCU>;
}
declare class BusLotPayConfigMU extends TableUtilImpl<BusLotPayConfigCU, BusLotPayConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusLotPayConfigCU;
    static get LOT_ID(): FieldUtil<BusLotPayConfigCU>;
    static get PC_CONFIG_ID(): FieldUtil<BusLotPayConfigCU>;
    static get REMARK(): FieldUtil<BusLotPayConfigCU>;
    static get CREATE_TIME(): FieldUtil<BusLotPayConfigCU>;
    static get UPDATE_TIME(): FieldUtil<BusLotPayConfigCU>;
    get LOT_ID(): FieldUtil<BusLotPayConfigCU>;
    get PC_CONFIG_ID(): FieldUtil<BusLotPayConfigCU>;
    get REMARK(): FieldUtil<BusLotPayConfigCU>;
    get CREATE_TIME(): FieldUtil<BusLotPayConfigCU>;
    get UPDATE_TIME(): FieldUtil<BusLotPayConfigCU>;
}
export { BusLotPayConfigMU, BusLotPayConfigCU };
